body.blog .our-services-section,
body.post-type-archive-video-resource .our-services-section {
    width: 100%;
    max-width: 1560px;
    padding: 100px 60px;
    margin: 0 auto;
    padding-bottom: 0;
}

body.blog .our-services-section .wrapper,
body.post-type-archive-video-resource .our-services-section .wrapper {
    padding: 0;
}

body.blog .all-posts-wrap,
body.post-type-archive-video-resource .all-posts-wrap {
    padding: 100px 60px;
    padding-top: 40px;
}

@media (max-width: 1024px) {
    body.blog .our-services-section,
    body.post-type-archive-video-resource .our-services-section,
    body.blog .all-posts-wrap,
    body.post-type-archive-video-resource .all-posts-wrap {
        padding: 50px 20px;
    }
    body.blog .our-services-section,
    body.post-type-archive-video-resource .our-services-section {
        padding-bottom: 0;
    }
}

@media (max-width: 1024px) {
    body.blog .all-posts-wrap,
    body.post-type-archive-video-resource .all-posts-wrap {
        padding-top: 30px;
    }
}

body.blog .all-posts-wrap > ul {
    display: grid;
    grid-template-columns: repeat(3,1fr);
}

body.blog .all-posts-wrap > ul > li {
    border: none;
    border-radius: 10px;
}

body.blog .blog-post {
    position: relative;
    border-radius: 10px !important;
    overflow: hidden;
    transition: all ease 0.3s;
}

body.blog .blog-post .post-date {
    font-size: clamp(1rem, 0.9583rem + 0.1852vw, 1.125rem);
    color: #FFF;
}

body.blog .blog-post h3 {
    font-size: clamp(1.25rem, 1.0833rem + 0.7407vw, 1.75rem);
    color: #FFF !important;
}

body.blog .blog-post:hover {
    transform: scale(1.03);
}

body.blog .blog-post:before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 34.1%, rgba(0, 0, 0, 0.50) 100%);
    border-radius: 10px;
    z-index: 2;
}

body.blog .blog-post .hover-overlay {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    background: linear-gradient(180deg, rgba(135, 166, 174, 0.00) 0%, #086080 100%);
    opacity: 0;
    transition: all ease 0.3s;
    z-index: 3;
}

body.blog .blog-post:hover .hover-overlay {
    background: linear-gradient(180deg, rgba(135, 166, 174, 0.00) 0%, #086080 100%);
    opacity: 1;
}

body.blog .blog-post img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-position: center;
    object-fit: cover;
    border-radius: 10px;
    z-index: 1;
}

body.blog .blog-post:after {
    content: '';
    display: block;
    padding-top: 112.58%
}

body.blog .blog-post__text {
    position: absolute;
    width: 100%;
    height: auto;
    left: 0;
    bottom: 0;
    background: transparent;
    padding: 30px;
    border: none;
    transition: all ease 0.3s;
    z-index: 3;
}

body.blog .blog-post:hover .blog-post__text {
    bottom: 60px;
}

.blog-post__text h3 {
    font-family: Cormorant-Garamond, sans-serif;
    color: #fff;
    margin-bottom: 10px !important;
    -webkit-transition: all .3s ease 0s;
    -moz-transition: all .3s ease 0s;
    -o-transition: all .3s ease 0s;
    transition: all .3s ease 0s;
}

.blog-post__text p {
    font-family: Montserrat, sans-serif;
    font-size: clamp(1rem, 0.9167rem + 0.3704vw, 1.25rem);
    line-height: 1em;
    color: #fff;
}

body.blog .blog-post .post-link {
    position: absolute;
    top: auto;
    bottom: -20px;
    left: 30px;
    transition: all ease 0.3s;
    z-index: 4;
}

body.blog .post-link a {
    font-family: Montserrat, sans-serif;
    color: #FFF !important;
    font-size: 16px !important;
}

body.blog .blog-post:hover .post-link {
    bottom: 30px;
}

.all-posts-wrap .pagination .nav-links .page-numbers.current {
    color: #FFF;
}

@media only screen and (max-width:1280px) {
    .team-section__members ul {
        gap: 20px;
    }
    body.blog .blog-post__text {
        padding: 20px;
    }
    body.blog .blog-post .post-link {
        left: 20px;
    }
}

@media only screen and (max-width: 1024px) {
    .blog-post__text,
    body.blog .blog-post:hover .blog-post__text {
        bottom: 20px;
        transition: none;
    }
    body.blog .blog-post__text {
        padding: 20px 20px 40px 20px;
    }
    body.blog .blog-post .post-link,
    body.blog .blog-post:hover .post-link {
        bottom: 20px;
        transition: none;
    }
}

@media (max-width: 920px) {
    body.blog .all-posts-wrap > ul {
        grid-template-columns: repeat(2,1fr);
    }
}

@media (max-width: 767px) {
    body.blog .all-posts-wrap > ul {
        grid-template-columns: repeat(1,1fr);
    }
}